Đến nội dung


Hình ảnh
- - - - -

Cộng dim trong vùng kín poline


  • Please log in to reply
9 replies to this topic

#1 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 November 2010 - 09:02 PM

Em mới học cad chưa biết nhiều xin hỏi các anh chị có thể viết 1 lisp giúp em cộng các đường kích thước trong 1 vùng kín polyline bằng cách pick vào đường polyline ra kết quả L=?

http://www.cadviet.c...dim_vungkin.dwg
  • 0

#2 lengan

lengan

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 32 (tàm tạm)

Đã gửi 24 November 2010 - 09:35 PM

Em mới học cad chưa biết nhiều xin hỏi các anh chị có thể viết 1 lisp giúp em cộng các đường kích thước trong 1 vùng kín polyline bằng cách pick vào đường polyline ra kết quả L=?

http://www.cadviet.c...dim_vungkin.dwg



Bạn kích vào đường polyline sau đó ctrl 1 (hoặc lệnh mo; lệnh pr) trong mục geometry tìm đến thẻ length trong đó có thông số chiều dài tổng của polyline.
  • 0

#3 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2010 - 08:28 AM

Bạn kích vào đường polyline sau đó ctrl 1 (hoặc lệnh mo; lệnh pr) trong mục geometry tìm đến thẻ length trong đó có thông số chiều dài tổng của polyline.


Cám ơn Bác . Nhưng cách đo chỉ đo được đường polyline gấp khúc liền .Còn của em có lúc là line ngắt quãng hoặc line có khoảng cách vì vậy em phải dóng kích thước lên sau đó em mới cộng bằng tay thủ công quá bác ạ.
  • 0

#4 lengan

lengan

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 32 (tàm tạm)

Đã gửi 25 November 2010 - 11:56 AM

Cám ơn Bác . Nhưng cách đo chỉ đo được đường polyline gấp khúc liền .Còn của em có lúc là line ngắt quãng hoặc line có khoảng cách vì vậy em phải dóng kích thước lên sau đó em mới cộng bằng tay thủ công quá bác ạ.



Bạn thử lisp này xem mình không nhớ lấy của bác nào trên diễn đàn

(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))
;;;--------------------------------------------------------------------
(defun C:TL( / ss L e)
(setq
ss (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
L 0.0
)
(vl-load-com)
(while (setq e (ssname ss 0))
(setq L (+ L (length1 e)))
(ssdel e ss)
)
(alert (strcat "Total length = " (rtos L)))
)
;;;--------------------------------------------------------------------
  • 0

#5 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2010 - 02:24 PM

Ý của em là Các kích thước đã được dóng lên rồi chỉ cần Pick vào đường POLyline kin lisp sẽ tự động cộng các kích thước đã được dóng lên.Cám ơn Bác
  • 0

#6 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2010 - 05:12 PM

Em nhờ các Bác tue_NV, Bác Hoành, Bác Phan Thanh Bình và các bác cao thủ trong diễn đàn giúp em với em đanh rất cần . Em cám ơn các bác

http://www.cadviet.c...m_vungkin_1.dwg
  • 0

#7 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 26 November 2010 - 05:50 PM

Em nhờ các Bác tue_NV, Bác Hoành, Bác Phan Thanh Bình và các bác cao thủ trong diễn đàn giúp em với em đanh rất cần . Em cám ơn các bác

http://www.cadviet.c...m_vungkin_1.dwg

Của bạn đây. Bạn xem có vừa ý không nhé.

(defun c:cdim ()
(vl-load-com)
(setq lsp (acet-geom-vertex-list (car (entsel "\nChon pline kin: "))))
(setq ssdim (ssget "wp" lsp '((0 . "DIMENSION"))))
(setq lsdim (acet-ss-to-list ssdim))
(setq tong 0)
(foreach n lsdim
(setq gt (cdr (assoc 42 (entget n))))
(setq tong (+ tong gt))
)
(alert (strcat "tong kich thuoc trong vung kin la: " (rtos tong 2 3)))
)


  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#8 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2010 - 06:41 PM

Đúng như công việc của em cần.Em cám ơn Bác phamngoctukts
  • 0

#9 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 December 2010 - 08:46 PM

Nhờ các bác viết giúp thêm cho lisp trên khi pick vào vùng kín Polyline sẽ xuất qua EXCEL như ví dụ sau:
http://www.cadviet.c...dim_vungkin.dwg
Cám ơn các bác
  • 0

#10 xuannhan1978

xuannhan1978

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 January 2011 - 06:42 AM

Em không biết nhiều về lisp Em trân thành nhờ Bác Tue_NV;Bác Phan Thanh Bình;Bác Hoành; ...Và các Bác Cao Thủ Trong Diễn Đàn Giúp em Bổ xung cho Lisp này với nội dung công việc sau:
" Khi Pick vào Đường Polynine kín xẽ Xuất các kích thước sang EXCEL như ví dụ ở trên. Cái này rất có ích cho công việc của em kính mong các Bác giúp đỡ Em". Trân thành Cảm ơn các Bác.
  • 0